#ifndef BSP_FLASH_H_
#define BSP_FLASH_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "drv_flash.h"
#include "kit_core.h"

bool flash_checken_write_u32(FlashItem *item, uint32_t addr,uint32_t value);
bool flash_write_u32_with_check_in(FlashItem *item, uint32_t *addr, uint32_t value);

KitResult flash_erase_page_by_len(FlashItem *item, uint32_t addr, uint32_t len);
KitResult flash_series_write_u32(FlashItem *item, uint32_t addr, uint8_t* buf, uint32_t len);

#ifdef __cplusplus
}
#endif

#endif
